Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1571919 - SELinux prevents abrtd unlink access to file pkg_version
Summary: SELinux prevents abrtd unlink access to file pkg_version
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 17:26 UTC by info@kobaltwit.be
Modified: 2018-11-30 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:00:53 UTC
Type: Bug


Attachments (Terms of Use)

Description info@kobaltwit.be 2018-04-25 17:26:25 UTC
Description of problem:
I have an old system abrt message in the abrt applet. It's from last year and no longer relevant so I want to delete it. To that effect, I click on the "Delete" button ("Verwijderen" in Dutch) in that abrt applet. This results in the following error message:
SELinux prevents abrtd unlink access to file pkg_version.

I was asked for an administrator password. As I'm the system admin for this PC, I have entered my own password, which is usually ok in other contexts.


Version-Release number of selected component (if applicable):
abrt-gui-2.10.7-1.fc27.x86_64

How reproducible:
Always

Actual results:
The old system abrt report is still there.

Expected results:
The report should have been removed successfully.

Additional info:
The details as reported by the abrt applet:

SELinux belet abrtd unlink toegang op bestand pkg_version.

*****  Plugin catchall_labels (met 83.8 vertrouwen) suggereert   *************

Als je abrtd wilt toestaan om unlink toegang te hebben tot de pkg_version file
Dan je moet het label op pkg_version veranderen
Doe
# semanage fcontext - a -t FILE_TYPE '$ FIX_TARGET_PATH'
waar FILE_TYPE een van de volgende is: abrt_tmp_t, abrt_upload_watch_tmp_t, abrt_var_cache_t, abrt_var_log_t, abrt_var_run_t, mail_home_rw_t, mock_var_lib_t, rpm_log_t, rpm_var_cache_t, rpm_var_run_t, sosreport_tmp_t. 
Vervolgens uitvoeren: 
restorecon - v '$ FIX_TARGET_PATH'


*****  Plugin catchall (met 17.1 vertrouwen) suggereert   ********************

Als je denkt dat abrtd standaard unlink toegang moet hebben tot de  pkg_version file.
Dan je moet dit melden als een fout.
Je kunt een locale tactiek module genereren om deze toegang toe te staan.
Doe
sta deze toegang nu toe door het uitvoeren van:
# ausearch -c 'abrtd' --raw | audit2allow -M my-abrtd
# semodule -X 300 -i my-abrtd.pp

Aanvullende informatie:
Broncontext                   system_u:system_r:abrt_t:s0-s0:c0.c1023
Doelcontext                   system_u:object_r:unlabeled_t:s0
Doelobjecten                  pkg_version [ file ]
Bron                          abrtd
Bronpad                       abrtd
Poort                         <Onbekend>
Host                          legolas.kobaltwit.lan
Bron RPM-pakketten            
Doel RPM-pakketten            
Beleid RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
SELinux aangezet              True
Beleidstype                   targeted
Afdwingende modus             Enforcing
Hostnaam                      legolas.kobaltwit.lan
Platform                      Linux legolas.kobaltwit.lan
                              4.15.17-300.fc27.x86_64 #1 SMP Thu Apr 12 18:19:17
                              UTC 2018 x86_64 x86_64
Aantal waarschuwingen         49
Eerst gezien op               2018-04-25 12:07:12 CEST
Laatst gezien op              2018-04-25 19:06:14 CEST
Locale ID                     b881837f-cf6b-4308-a2b6-1784e67c170a

Onbewerkte auditboodschappen
type=AVC msg=audit(1524675974.168:321): avc:  denied  { unlink } for  pid=3876 comm="abrt-dbus" name="pkg_version" dev="dm-0" ino=132566 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=file permissive=0


Hash: abrtd,abrt_t,unlabeled_t,file,unlink

Comment 1 Ben Cotton 2018-11-27 14:14:18 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 23:00:53 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.